<?php

use Illuminate\Http\Request;

/*
|--------------------------------------------------------------------------
| API Routes
|--------------------------------------------------------------------------
|
| Here is where you can register API routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| is assigned the "api" middleware group. Enjoy building your API!
|
*/

Route::middleware('auth:api')->get('/user', function (Request $request) {
    return $request->user();
});


Route::group(['namespace' => 'Api', 'prefix' => 'v1', 'middleware' => ['auth']], function () {

    # 用户模块
    Route::post('users', 'Client\UsersController@store');

    Route::get('media_catg', 'Client\MediaCategoryController@index');
    #客户端申请媒资编号
    Route::get('generate_media_id', 'Client\MediaController@index');
    #客户端获取阿里云、七牛云文件上传口令，默认获取七牛云文件上传口令
    Route::get('upload_token', 'Client\MediaController@getUploadMediaToken');
    Route::post('hook_restore', 'Client\MediaController@hookRestoreMedia');
    Route::post('update_media/{id}', 'Client\MediaController@updatehookMedia');
    Route::get('media_list', 'Client\MediaController@mediaList');

    #阿里云视频转码
    //Route::post("transcoding")

});





Route::group(['namespace' => 'Api', 'prefix' => 'user','middleware' => ['api']], function () {
    Route::post("media_list","MediaController@media_list");
    Route::get("play_url/{id}","MediaController@play_url");

    Route::get("media_list_once","MediaController@mediaListOnce");
    Route::post('hook_restore', 'MediaController@hookRestoreMedia');

    Route::post('update_status/{id}', 'MediaController@updateMediaStatus');
    Route::get('update_datetime', 'MediaController@updateDatetime');

    Route::get("get_media_by_num",'MediaController@getMediaInfoByNum');
    Route::get("get_fervor_m3u8",'MediaController@getMediaForeverM3u8');

    Route::post("getMediaListByMediaIds","MediaController@getMediaListByMediaIds");

    //Route::get("media_url_change","MediaController@handleMediaUrl");
    #处理媒资封面图片以及分辨率
    Route::post("screenShotCallback","MediaController@screenShotCallback");
    #处理之前没有分辨率的旧数据
    Route::post("runScreenShot","MediaController@runScreenShot");

    Route::post('hook_byte_move', 'MediaController@hookMoveMedia');


});